# DataExchange
TKIGES
IGESDefs

# IGESDefs_UnitsData Class Reference

defines IGES UnitsData Entity, Type <316> Form <0>
in package IGESDefs
This class stores data about a model's fundamental units.

`#include <IGESDefs_UnitsData.hxx>`

Inheritance diagram for IGESDefs_UnitsData:

[legend]

## Public Member Functions

Standard_EXPORT | IGESDefs_UnitsData ()
Standard_EXPORT void | Init (const Handle(Interface_HArray1OfHAsciiString)&unitTypes, const Handle(Interface_HArray1OfHAsciiString)&unitValues, const Handle(TColStd_HArray1OfReal)&unitScales)
| This method is used to set the fields of the class UnitsData - unitTypes : Types of the units being defined - unitValues : Unit Values of the units - unitScales : Multiplicative Scale Factors raises exception if lengths of unitTypes, unitValues and unitScale are not same .
Standard_EXPORT Standard_Integer | NbUnits () const
| returns the Number of units defined by this entity
Standard_EXPORT Handle_TCollection_HAsciiString | UnitType (const Standard_Integer UnitNum) const
| returns the Type of the UnitNum'th unit being defined raises exception if UnitNum <= 0 or UnitNum > NbUnits()
Standard_EXPORT Handle_TCollection_HAsciiString | UnitValue (const Standard_Integer UnitNum) const
| returns the Units of the UnitNum'th unit being defined raises exception if UnitNum <= 0 or UnitNum > NbUnits()
Standard_EXPORT Standard_Real | ScaleFactor (const Standard_Integer UnitNum) const
| returns the multiplicative scale factor to be apllied to the UnitNum'th unit being defined raises exception if UnitNum <= 0 or UnitNum > NbUnits()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Interface_HArray1OfHAsciiString | theUnitTypes
Handle_Interface_HArray1OfHAsciiString | theUnitValues
Handle_TColStd_HArray1OfReal | theUnitScales

## Constructor & Destructor Documentation

Standard_EXPORT IGESDefs_UnitsData::IGESDefs_UnitsData | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESDefs_UnitsData::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDefs_UnitsData::Init | ( | const Handle(Interface_HArray1OfHAsciiString)& | unitTypes,
|  | const Handle(Interface_HArray1OfHAsciiString)& | unitValues,
|  | const Handle(TColStd_HArray1OfReal)& | unitScales
| ) |

Standard_EXPORT Standard_Integer IGESDefs_UnitsData::NbUnits | ( |  | ) | const

Standard_EXPORT Standard_Real IGESDefs_UnitsData::ScaleFactor | ( | const Standard_Integer | UnitNum | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString IGESDefs_UnitsData::UnitType | ( | const Standard_Integer | UnitNum | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString IGESDefs_UnitsData::UnitValue | ( | const Standard_Integer | UnitNum | ) | const

## Field Documentation

Handle_TColStd_HArray1OfReal IGESDefs_UnitsData::theUnitScales `[private]`

Handle_Interface_HArray1OfHAsciiString IGESDefs_UnitsData::theUnitTypes `[private]`

Handle_Interface_HArray1OfHAsciiString IGESDefs_UnitsData::theUnitValues `[private]`

The documentation for this class was generated from the following file:

- IGESDefs_UnitsData.hxx